> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/client-presentations/{presentationId}/versions/{n}/view:
    get:
      tags:
        - Client Presentations
      summary: View
      operationId: ClientPresentationsController_view_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: presentationId
          required: true
          in: path
          schema:
            type: string
        - name: 'n'
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PresentationVersionViewDto'
components:
  schemas:
    PresentationVersionViewDto:
      type: object
      properties:
        theme:
          type:
            - object
            - 'null'
          additionalProperties: true
        layout:
          enum:
            - template
            - standard
          type: string
        sections:
          type: array
          items:
            type: object
            additionalProperties: true
        slides:
          type:
            - object
            - 'null'
          additionalProperties: true
        outcome:
          enum:
            - awaiting
            - approved
            - mixed_response
            - respec
            - null
          type:
            - string
            - 'null'
        locale:
          type:
            - string
            - 'null'
        name:
          type: string
        message:
          type:
            - string
            - 'null'
        parties:
          $ref: '#/components/schemas/PresentationPartiesDto'
        projectName:
          type:
            - string
            - 'null'
        projectNumber:
          type:
            - string
            - 'null'
        currency:
          type:
            - string
            - 'null'
        contentHash:
          type:
            - string
            - 'null'
        signerBindings:
          type: array
          items:
            type: object
        'n':
          type: number
        sharedAt:
          type: string
        items:
          type: array
          items:
            $ref: '#/components/schemas/PresentationViewItemDto'
        recipients:
          type: array
          items:
            $ref: '#/components/schemas/PresentationRecipientDto'
      required:
        - layout
        - sections
        - slides
        - outcome
        - 'n'
        - sharedAt
        - items
        - recipients
    PresentationPartiesDto:
      type: object
      properties:
        client:
          anyOf:
            - $ref: '#/components/schemas/PresentationClientPartyDto'
            - type: 'null'
        studio:
          $ref: '#/components/schemas/PresentationStudioPartyDto'
      required:
        - client
        - studio
    PresentationViewItemDto:
      type: object
      properties:
        outcome:
          enum:
            - accepted
            - refused
            - alternative
            - pending
          type: string
        unitPrice:
          type:
            - string
            - 'null'
        alternatives:
          type: array
          items:
            $ref: '#/components/schemas/PresentationAlternativeViewDto'
        answers:
          type: array
          items:
            $ref: '#/components/schemas/PresentationAnswerDto'
        slotId:
          type: string
        refNumber:
          type:
            - string
            - 'null'
        name:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        manufacturer:
          type:
            - string
            - 'null'
        area:
          type:
            - string
            - 'null'
        quantity:
          type:
            - string
            - 'null'
        extraQuantity:
          type:
            - string
            - 'null'
        quantityUnit:
          type:
            - string
            - 'null'
        purchasingUnit:
          type: string
          enum:
            - packages
            - units
        unitsPerPackage:
          type:
            - string
            - 'null'
        areaQuantities:
          type: array
          items:
            type: object
            properties:
              areaId:
                type: string
              quantity:
                type:
                  - string
                  - 'null'
              roomCount:
                type: number
              roomsDiffer:
                type: boolean
              areaTotal:
                type:
                  - string
                  - 'null'
            required:
              - areaId
              - quantity
              - roomCount
        sourceItemId:
          type:
            - string
            - 'null'
        displayFields:
          type: object
          additionalProperties: true
        currency:
          type:
            - string
            - 'null'
        subtotal:
          type:
            - string
            - 'null'
        taxRate:
          type:
            - string
            - 'null'
        taxLabel:
          type:
            - string
            - 'null'
        taxAmount:
          type:
            - string
            - 'null'
        total:
          type:
            - string
            - 'null'
        previousUnitPrice:
          type:
            - string
            - 'null'
        priceDelta:
          type:
            - string
            - 'null'
        finish:
          type:
            - string
            - 'null'
        dimensions:
          type:
            - string
            - 'null'
      required:
        - outcome
        - alternatives
        - answers
        - slotId
        - refNumber
        - name
        - imageUrl
        - manufacturer
        - area
        - quantity
        - finish
        - dimensions
    PresentationRecipientDto:
      type: object
      properties:
        accessRevoked:
          type: boolean
        userId:
          type: string
        email:
          type: string
        name:
          type:
            - string
            - 'null'
        reviewStatus:
          type: string
          enum:
            - in_progress
            - submitted
            - not_viewed
            - viewed
        lastViewedAt:
          type:
            - string
            - 'null'
        submittedAt:
          type:
            - string
            - 'null'
      required:
        - userId
        - email
        - name
        - reviewStatus
        - lastViewedAt
        - submittedAt
    PresentationClientPartyDto:
      type: object
      properties:
        name:
          type: string
        address:
          type:
            - string
            - 'null'
      required:
        - name
        - address
    PresentationStudioPartyDto:
      type: object
      properties:
        name:
          type: string
        legalName:
          type:
            - string
            - 'null'
        address:
          type:
            - string
            - 'null'
        logoUrl:
          type:
            - string
            - 'null'
      required:
        - name
        - legalName
        - address
        - logoUrl
    PresentationAlternativeViewDto:
      type: object
      properties:
        inStock:
          type:
            - boolean
            - 'null'
        id:
          type: string
        name:
          type:
            - string
            - 'null'
        vendor:
          type:
            - string
            - 'null'
        finish:
          type:
            - string
            - 'null'
        dimensions:
          type:
            - string
            - 'null'
        leadTime:
          type:
            - string
            - 'null'
        imageUrl:
          type:
            - string
            - 'null'
        price:
          type:
            - string
            - 'null'
      required:
        - inStock
        - id
        - name
        - vendor
        - finish
        - dimensions
        - leadTime
        - imageUrl
    PresentationAnswerDto:
      type: object
      properties:
        decision:
          enum:
            - accepted
            - refused
            - alternative
          type: string
        optionComments:
          type: object
          additionalProperties:
            type: string
        source:
          type:
            - string
            - 'null'
          enum:
            - offline
            - portal
            - null
        attestorId:
          type:
            - string
            - 'null'
        carriedFromVersion:
          type:
            - number
            - 'null'
        carriedSubmittedAt:
          type:
            - string
            - 'null'
        userId:
          type: string
        name:
          type:
            - string
            - 'null'
        email:
          type: string
        alternativeId:
          type:
            - string
            - 'null'
        comment:
          type:
            - string
            - 'null'
        submittedAt:
          type: string
      required:
        - decision
        - optionComments
        - userId
        - name
        - email
        - alternativeId
        - comment
        - submittedAt

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.